Preskoči na sadržaj

Booking details

Details guests filled in on the booking form

The booking detail object

Attributes

iduuid

Unique identifier

booking_iduuid
bookings.id

Identifier of the related booking

calendar_event_iduuid | null
calendar_events.id

Identifier of the related calendar event

option_iduuid | null
services.id

Identifier of the selected option

service_iduuid | null
services.id

Identifier of the related service

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

attachmenttext | null

URL of the file the guest uploaded

descriptionMultiLanguageString

Localized description of the form field

nameMultiLanguageString

Localized name of the form field

valuetext | null

Value filled in by the guest

Related resources

Embed related resources in the response with the select parameter, for example select=*,bookings(*). Resources related through more than one column need the column as a hint, like table!column(*).

bookings(*)object | null
bookings

The booking referenced by booking_id.

calendar_events(*)object | null
calendar_events

The calendar event referenced by calendar_event_id.

services!option_id(*)object | null
services

The service referenced by option_id.

services!service_id(*)object | null
services

The service referenced by service_id.

The booking detail object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "calendar_event_id": "00000000-0000-0000-0000-000000000000",
  "option_id": "00000000-0000-0000-0000-000000000000",
  "service_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.051Z",
  "updated_at": "2026-10-30T22:27:57.051Z",
  "attachment": "",
  "description": {},
  "name": {},
  "value": ""
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/booking_details?limit=10&select=*,bookings(*),calendar_events(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List booking details

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

calendar_event_idFilter<uuid | null>
calendar_events.id

Identifier of the related calendar event

option_idFilter<uuid | null>
services.id

Identifier of the selected option

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

URL of the file the guest uploaded

descriptionFilter<MultiLanguageString>

Localized description of the form field

nameFilter<MultiLanguageString>

Localized name of the form field

valueFilter<text | null>

Value filled in by the guest

Responses

200

A list of booking details with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /booking_details
curl -X GET "https://api.bookingmood.com/v1/booking_details?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "option_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "attachment": "",
    "description": {},
    "name": {},
    "value": ""
  }
]

Create booking details

Body

Partial<BookingDetail> | Array<Partial<BookingDetail>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created booking details with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /booking_details
curl -X POST "https://api.bookingmood.com/v1/booking_details" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "description": {},
    "name": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "option_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "attachment": "",
    "description": {},
    "name": {},
    "value": ""
  }
]

Delete booking details

Filters

Without filters, this request deletes all booking details you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

calendar_event_idFilter<uuid | null>
calendar_events.id

Identifier of the related calendar event

option_idFilter<uuid | null>
services.id

Identifier of the selected option

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

URL of the file the guest uploaded

descriptionFilter<MultiLanguageString>

Localized description of the form field

nameFilter<MultiLanguageString>

Localized name of the form field

valueFilter<text | null>

Value filled in by the guest

Responses

200

The deleted booking details with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /booking_details
curl -X DELETE "https://api.bookingmood.com/v1/booking_details?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "option_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "attachment": "",
    "description": {},
    "name": {},
    "value": ""
  }
]

Update booking details

Filters

Without filters, this request updates all booking details you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

calendar_event_idFilter<uuid | null>
calendar_events.id

Identifier of the related calendar event

option_idFilter<uuid | null>
services.id

Identifier of the selected option

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentFilter<text | null>

URL of the file the guest uploaded

descriptionFilter<MultiLanguageString>

Localized description of the form field

nameFilter<MultiLanguageString>

Localized name of the form field

valueFilter<text | null>

Value filled in by the guest

Body

Partial<BookingDetail>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated booking details with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /booking_details
curl -X PATCH "https://api.bookingmood.com/v1/booking_details?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "description": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "option_id": "00000000-0000-0000-0000-000000000000",
    "service_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "attachment": "",
    "description": {},
    "name": {},
    "value": ""
  }
]

Preuzmite kontrolu nad svojim rezervacijama. Izgradite posao koji posjedujete.

Pridružite se 1200+ neovisnim tvrtkama za iznajmljivanje smještaja koristeći Bookingmood kako biste povećali broj izravnih rezervacija i izgradili jače odnose s gostima.

Započnite besplatno 14-dnevno probno razdoblje